
@echo off
for /f "tokens=2*" %%a in ('REG QUERY HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.seb /ve') do set "ExtensionKey=%%~b"
echo Extension .seb is set to open %ExtensionKey%

for /f "tokens=2*" %%a in ('REG QUERY HKEY_CLASSES_ROOT\%ExtensionKey%\shell\Open\command /ve') do set "AppPath=%%~b"
set AppPathStripped=%AppPath:" "%1=%

for /f "tokens=2*" %%a in ('REG QUERY HKEY_CLASSES_ROOT\seb\shell\open\command /ve') do set "ProtocolPath=%%~b"
set ProtocolPathStripped=%ProtocolPath:" "%1=%

for /f "tokens=2*" %%a in ('REG QUERY HKEY_CLASSES_ROOT\iaseb\shell\open\command /ve') do set "InsperaSEBProtocolPath=%%~b"
set InsperaSEBProtocolPathStripped=%InsperaSEBProtocolPath:" "%1=%

echo Path for seb:// used for exam is "%ProtocolPathStripped%"
echo Path for iaseb:// used for exam is "%InsperaSEBProtocolPathStripped%"

rem if "%AppPathStripped%" == "%ProtocolPathStripped%" (
rem	echo Path for seb:// and opening .seb files matches
rem	echo SEB is installed in "%AppPathStripped%"
rem ) else (
rem	echo MISMATCH on Path for seb:// and opening .seb files
rem	echo Path for .seb files is "%AppPathStripped%"
rem	echo Path for seb:// used for exam is "%ProtocolPathStripped%"
rem )

CertUtil -hashfile "%ProtocolPathStripped%" SHA1 | find /i /v "sha1" | find /i /v "certutil" > SEBCHK
set /p SEBChecksum= < SEBCHK
set SEBChecksum=%SEBChecksum: =%
del /Q SEBCHK
echo Calculating checksum for SafeExamBrowser.exe
echo Got checksum %SEBChecksum%

if "%SEBChecksum%" == "e0d314e6609fcc4442fe77e719186c981cc18316" (
echo CORRECT SafeExamBrowser 2.2.0.0 detected
        rem pause
        rem Exit /b
		goto :CheckInsperaSEB
)

if "%SEBChecksum%" == "b6171bdef0f75af23798efa4172698e26b6716c3" (
echo CORRECT SafeExamBrowser 2.1.8.0 detected
        rem pause
        rem Exit /b
		goto :CheckInsperaSEB
)

if "%SEBChecksum%" == "1df77b929a8fcfa26be0f912776fd56ecb8dfee9" (
echo CORRECT SafeExamBrowser 2.1.7 detected
        rem pause
        rem Exit /b
		goto :CheckInsperaSEB
)
if "%SEBChecksum%" == "7fc0c8defd136972da1874d538add3b1d4b4888e" (
    echo CORRECT SafeExamBrowser 2.1.6 detected
        rem pause
        rem Exit /b
		goto :CheckInsperaSEB
)

if "%SEBChecksum%" == "65e55ec935952be59dc7cc35674ea3bb22eb5af1" (
    echo CORRECT SafeExamBrowser 2.1.5 detected
	rem pause
	rem Exit /b
	goto :CheckInsperaSEB
)

if "%SEBChecksum%" == "6d1e96e0187bf25e39b49b7499b48ee166ec8e19" (
    echo Old SafeExamBrowser 2.1.3 detected
	echo You need to install latest versions of SafeExamBrowser 
    rem pause
    rem Exit /b
	goto :CheckInsperaSEB
)

if "%SEBChecksum%" == "8fc1b95cbc6b62f011cae55ec993c7dd51a28d73" (
    echo Old SafeExamBrowser 2.1.1 detected
	echo You need to install latest versions of SafeExamBrowser
    rem pause
    rem Exit /b
	goto :CheckInsperaSEB
)

echo Could not find a correct SafeExamBrowser installation


:CheckInsperaSEB
	CertUtil -hashfile "%InsperaSEBProtocolPathStripped%" SHA1 | find /i /v "sha1" | find /i /v "certutil" > SEBCHK
	set /p InsperaSEBChecksum= < SEBCHK
	set InsperaSEBChecksum=%InsperaSEBChecksum: =%
	del /Q SEBCHK
	echo Calculating checksum for InsperaSEB.exe
	echo Got checksum %InsperaSEBChecksum%

	if "%InsperaSEBChecksum%" == "a51ca6279ca0c7a8095007b8d886ce6834f0f957" (
	echo CORRECT InsperaSEB 1.0.0 detected
        pause
        Exit /b
	)

echo Could not find a correct InsperaSEB installation
pause
Exit /b
